Search documentation of bb

# mix bb.install (bb v0.17.0)

Copy Markdown View Source

Installs BB into a project

Composes `bb.add_robot` (scaffolds a robot module) and `bb.add_nx_backend` (prompts to configure an Nx backend — defaults to EXLA).

## Example

    mix igniter.install bb
    mix igniter.install bb --robot MyApp.Robot --backend exla

## Options

- `--robot` - The module name for the robot (defaults to `{AppPrefix}.Robot`).
- `--backend` - Nx backend to install: `exla`, `torchx`, or `binary`. If omitted, the user is prompted (defaults to `exla` in non-interactive runs).